JUCE: GlowEffect Class Reference

JUCE

Public Member Functions | List of all members
GlowEffect Class Reference
juce_graphics » effects

A component effect that adds a coloured blur around the component's contents. More...

`#include <juce_GlowEffect.h>`

Inheritance diagram for GlowEffect:

## Public Member Functions
| GlowEffect ()
| Creates a default 'glow' effect. More...
| ~GlowEffect () override
| Destructor. More...
void | setGlowProperties (float newRadius, Colour newColour, Point< int > offset={})
| Sets the glow's radius and colour. More...
void | applyEffect (Image &, Graphics &, float scaleFactor, float alpha) override
Public Member Functions inherited from ImageEffectFilter
virtual void | applyEffect (Image &sourceImage, Graphics &destContext, float scaleFactor, float alpha)=0
| Overridden to render the effect. More...
virtual | ~ImageEffectFilter ()=default
| Destructor. More...

## Detailed Description

A component effect that adds a coloured blur around the component's contents.

(This will only work on non-opaque components).

See also
  Component::setComponentEffect, DropShadowEffect

## Constructor & Destructor Documentation

## ◆ GlowEffect()

GlowEffect::GlowEffect | ( |  | ) |

Creates a default 'glow' effect.

To customise its appearance, use the setGlowProperties() method.

## ◆ ~GlowEffect()

GlowEffect::~GlowEffect | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ setGlowProperties()

void GlowEffect::setGlowProperties | ( | float | newRadius,
|  | Colour | newColour,
|  | Point< int > | offset = `{}`
| ) |  |

Sets the glow's radius and colour.

The radius is how large the blur should be, and the colour is used to render it (for a less intense glow, lower the colour's opacity).

## ◆ applyEffect()

void GlowEffect::applyEffect | ( | Image & | ,
|  | Graphics & | ,
|  | float | scaleFactor,
|  | float | alpha
| ) |  |
| overridevirtual

Implements ImageEffectFilter.

The documentation for this class was generated from the following file:

- juce_GlowEffect.h